package com.tibbo.aggregate.common.sql;

import java.sql.SQLException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class NotExistSqlTable implements SqlTable
{
    @Override
    public String getRealName()
    {
        return "";
    }

    @Override
    public List<SqlColumn> getColumns() throws SQLException
    {
        return new ArrayList<>();
    }

    @Override
    public SqlColumn getColumnByName(String name) throws SQLException
    {
        return NotExistSqlColumn.INSTANCE;
    }

    @Override
    public Map<String, SqlTableHierarchyLink> getLinks() throws SQLException
    {
        return new HashMap<>();
    }

    @Override
    public SqlTableHierarchyLink getLinkByTableName(String tableName) throws SQLException
    {
        return null;
    }

    @Override
    public List<SqlColumn> getPrimaryKeyColumns() throws SQLException
    {
        return new ArrayList<>();
    }

    @Override
    public boolean exists()
    {
        return false;
    }
}
